#ifndef __WFXTEST_WFXTEST_H__
#define __WFXTEST_WFXTEST_H__

#include <WFX/WFX.h>

class WFXTest : public WFX::lang::WFXGUIApplication,
                public WFX::kernel::TimerListener {
    public:
        
        /** Ctor */
        WFXTest();

        ~WFXTest();


        /** implement task interface */
        bool start();
        void stop();
        void update();
        /** input */
        void keyPressed(WFX::input::KeyEvent k);
        void keyReleased(WFX::input::KeyEvent k);
        /** listeners */
        void timerEvent(int id);

    protected:
        
    private:
        WFX::renderer::RenderJob*  MainJob;
        WFX::scene::ListSceneGraph* MainGraph;
        WFX::renderer::Viewport* MainPort;
        WFX::renderer::FirstPersonCamera* MainCamera;

    
};

#endif

