
#ifndef __WFX_INCLUDES_H__
#define __WFX_INCLUDES_H__

/** 
 * this file includes all needed standard headers
 * and the memory manager in correct order
 */

//first: std headers

/*
#include <stdio.h>
#include <fstream>
#include <iomanip>
#include <fstream>
#include <stdint.h>
*/

#include <stdlib.h>
#include <math.h>
#include <cstddef>
#include <assert.h>
#include <string>
#include <iostream>
#include <sstream>
#include <fstream>
#include <vector>
#include <map>
#include <list>
#include <stack>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

//only include memory manager if NDEBUG is not defined
#ifndef NDEBUG
#include <mmgr/mmgr.h>
#endif //NDEBUG


//own headers

#include <WFX/lang/config.h>
#include <WFX/lang/debug.h>
#include <WFX/lang/WFXException.h>

#endif //include guard

