
#ifndef __WFX_INPUT_KEYBOARDLISTENER_H__
#define __WFX_INPUT_KEYBOARDLISTENER_H__

#include <WFX/WFXIncludes.h>

#include <WFX/input/WFXKeys.h>

namespace WFX {

    namespace input {

        /**
         * Keyboardlistener interface 
         */
        class KeyboardListener {
            public:
                /** called each time a key is pressed */
                virtual void keyPressed(KeyEvent k) = 0;
                /** called each time a key is released */
                virtual void keyReleased(KeyEvent k) = 0;


            protected:

            private:

        };

    }

}


#endif //include guard


