
#ifndef __WFX_IO_FILEINPUTSTREAM_H__
#define __WFX_IO_FILEINPUTSTREAM_H__

#include <WFX/WFXIncludes.h>
#include <WFX/io/InputStream.h>
#include <WFX/io/File.h>

namespace WFX {

    namespace io {

        /**
         * Inputstream base class
         */
        class FileInputStream : public InputStream {
            public:
                /** Ctor */
                FileInputStream(const File& f, std::ios_base::openmode m = std::ios_base::ate);
                virtual ~FileInputStream();

            protected:
            private:
                /** Stream */
                std::ifstream* IFStream;
        };

    }

}

#endif //include guard


