
#ifndef __WFX_CONFIG_H__
#define __WFX_CONFIG_H__

namespace WFX {

    /**
     * defines the types used internally
     */

    //integer types
    typedef int Int;                //signed integer
    typedef unsigned int UInt;      //unsigned integer
    typedef long Long;              //32-Bit signed integer
    typedef unsigned long ULong;    //32-Bit unsigned integer
    typedef short Short;            //16-Bit signed integer
    typedef unsigned short UShort;  //16-Bit signed integer
    //real types
    typedef float Real;             //single precision IEEE floating point number
    //Character
    typedef char Char;              //8-Bit signed integer
    typedef unsigned char UChar;    //8-Bit unsigned integer
 
    
    
}

#endif //include guard


