
#ifndef __WFX_RENDERER_DRAWABLE_H__
#define __WFX_RENDERER_DRAWABLE_H__

#include <WFX/WFXIncludes.h>

namespace WFX {

    namespace renderer {

        class Renderer;

        /**
         * Drawable interface
         * Any class implementing this interface may be drawn by the renderer
         */
        class Drawable {
            public:
                /** draws this Drawable using the given Renderer */
                virtual void draw(WFX::renderer::Renderer* r) = 0;

            protected:
            
            private:

        };

    }

}


#endif //include guard


