
#ifndef __WFX_SCENE_SCENEGRAPHTRANSFORMER_H__
#define __WFX_SCENE_SCENEGRAPHTRANSFORMER_H__

#include <WFX/WFXIncludes.h>
#include <WFX/scene/SceneGraphVisitor.h>

namespace WFX {

    namespace scene {

        /**
         * transforms all GeometryNodes Vertices using the World* Attributes
         */
        class SceneGraphTransformer : public SceneGraphVisitor {
            public:
                /** Ctor */
                SceneGraphTransformer();

                /** visits a Node */
                void visitNode(Node& n);
                /** visits a TriMesh */
                void visitTriMesh(TriMesh& m);
                /** visits an OctreeNode */
                void visitOctreeNode(OctreeNode& o);

            protected:
            
            private:

        };

    }

}


#endif //include guard


