
#include <WFX/io/OutputStreamDecorator.h>

using namespace WFX;
using namespace WFX::io;
using namespace std;

OutputStreamDecorator::OutputStreamDecorator(OutputStream* s) {
    Stream = s;
}

OutputStreamDecorator::~OutputStreamDecorator() {
    delete Stream;
}

void OutputStreamDecorator::operator <<(Int i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(UInt i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(Long i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(ULong i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(Short i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(UShort i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(Char i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(UChar i) {
    *Stream << i;
}

void OutputStreamDecorator::operator <<(Real r) {
    *Stream << r;
}

void OutputStreamDecorator::operator <<(const std::string& str) {
    *Stream << str;
}

