
#ifndef __WFX_H__
#define __WFX_H__

/** 
 * this file includes all needed headers to use the WFX library
 */

#include <WFX/lang/WFXSystem.h>
#include <WFX/lang/WFXException.h>
#include <WFX/lang/WFXCLIApplication.h>
#include <WFX/lang/WFXGUIApplication.h>
#include <WFX/scene/ListSceneGraph.h>
#include <WFX/scene/GeometryFactory.h>
#include <WFX/scene/X3DLoader.h>
#include <WFX/scene/OBJLoader.h>
#include <WFX/scene/StudioLoader.h>
#include <WFX/scene/SceneGraphPrinter.h>
#include <WFX/scene/SceneGraphSerializer.h>
#include <WFX/scene/SceneGraphTransformer.h>
#include <WFX/scene/OctreeBuilder.h>
#include <WFX/renderer/FirstPersonCamera.h>
#include <WFX/input/DefaultInputAbstractor.h>
#include <WFX/io/File.h>
#include <WFX/io/OutputStream.h>
#include <WFX/io/FileOutputStream.h>
#include <WFX/io/EndianAwareOutputStream.h>

#endif //include guard

