
#ifndef __WFX_IO_FILEOUTPUTSTREAM_H__
#define __WFX_IO_FILEOUTPUTSTREAM_H__

#include <WFX/WFXIncludes.h>
#include <WFX/io/OutputStream.h>
#include <WFX/io/File.h>

namespace WFX {

    namespace io {

        /**
         * Outputstream base class
         */
        class FileOutputStream : public OutputStream {
            public:
                /** Ctor */
                FileOutputStream(const File& f, std::ios_base::openmode m = std::ios_base::ate);
                virtual ~FileOutputStream();

            protected:
            private:
                /** Stream */
                std::ofstream* OFStream;
        };

    }

}

#endif //include guard


