
#ifndef __WFX_RENDERER_RENDERCONTEXT_H__
#define __WFX_RENDERER_RENDERCONTEXT_H__

#include <WFX/WFXIncludes.h>

namespace WFX {

    namespace renderer {

        /**
         * RenderContext
         * This class specifies some general settings on how to render
         * a RenderJob
         */
        class RenderContext {
            public:
                bool Lighting;
                bool DepthTesting;
                bool TextureMapping;
                bool Blending;

                /**
                 * Ctor
                 * disables every setting
                 */
                RenderContext();
                
            protected:
           
            private:

        };

    }

}


#endif //include guard


