
#include <WFX/math/Matrix4.h>

using namespace WFX;
using namespace WFX::math;

Matrix4::Matrix4(const Matrix3& rot, const Vector3& trans, Real scale) {
    m[0][0] = scale*rot[0][0]; m[1][0] = scale*rot[1][0]; m[2][0] = scale*rot[2][0]; m[3][0] = 0.0f;
    m[0][1] = scale*rot[0][1]; m[1][1] = scale*rot[1][1]; m[2][1] = scale*rot[2][1]; m[3][1] = 0.0f;
    m[0][2] = scale*rot[0][2]; m[1][2] = scale*rot[1][2]; m[2][2] = scale*rot[2][2]; m[3][2] = 0.0f;
    m[0][3] = trans.X;         m[1][3] = trans.Y;         m[2][3] = trans.Z;         m[3][3] = 1.0f;
}

